# Service EOLs (YYYY-MM-DD).
php:
  - version: '8.1'
    eol: 2024-11-24
  - version: '8.2'
    eol: 2025-12-08
  - version: '8.3'
    eol: 2026-12-31
  - version: '8.4'
    eol: 2027-12-31
mariadb:
  - version: '10.4'
    eol: 2024-06-30
  - version: '10.5'
    eol: 2025-05-30  
  - version: '10.6'
    eol: 2026-06-30
  - version: '10.11'
    eol: 2027-10-25
  - version: '11.4'
    eol: 2028-04-30
opensearch:
  - version: '1'
    eol: 2024-09-30
  - version: '2'
    eol: 2025-02-28
  - version: '3'
    eol: 2026-05-06 
rabbitmq: 
  - version: '3.9'
    eol: 2024-10-31
  - version: '3.11'
    eol: 2025-11-30   
  - version: '3.12'
    eol: 2026-05-31
  - version: '3.13'
    eol: 2027-11-30
  - version: '4.1'
    eol: 2028-12-31    
redis:
  - version: '6.2'
    eol: 2024-04-30
  - version: '7.0'
    eol: 2026-04-30
  - version: '7.2'
    eol: 2028-06-30
valkey:
  - version: '8.0'
    eol: 2027-09-15